curl --request GET \
--url https://api.gominerva.com/v2/search/requests \
--header 'x-api-key: <api-key>'import requests
url = "https://api.gominerva.com/v2/search/requests"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.gominerva.com/v2/search/requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"page": 1,
"limit": 25,
"total_count": 42,
"total_pages": 2,
"has_next": true,
"has_prev": false
},
"requests": [
{
"id": "665f0d4c2d2f7c2b2f2f2f2f",
"tenant_id": "org_123",
"config": {},
"entities": [
{
"name": "Jane Doe",
"feeds": [
"Sanctions",
"PEP"
],
"type": "individual",
"custom_id": "case-1001"
}
],
"created_at": "2026-05-14T13:22:45Z",
"updated_at": "2026-05-14T13:22:48Z",
"job_id": "665f0d4c2d2f7c2b2f2f2f30",
"legacy_search_id": "legacy-search-123",
"user_id": "user_123",
"user_name": "Compliance Analyst",
"user_email": "analyst@example.com"
}
]
}{
"message": "created_at_from must be a valid RFC3339 date-time."
}{
"message": "created_at_from must be a valid RFC3339 date-time."
}{
"message": "created_at_from must be a valid RFC3339 date-time."
}List historical search requests
Returns paginated historical screening/search request metadata for the authenticated tenant. Use this endpoint for audit-purpose search history retrieval when reconciling screenings that were run in Minerva.
Authorizations
The Minerva API key used for this integration. Manage API keys in the Minerva dashboard under Administration > Developers.
Query Parameters
One-based result page. Defaults to 1.
x >= 1Maximum number of requests to return. Defaults to 10 and is capped at 250.
1 <= x <= 250Case-insensitive search against submitted entity names.
Return requests associated with a specific search job id.
Inclusive lower bound for the request created_at timestamp. Provide an RFC3339 date-time with an explicit timezone, for example 2026-05-01T00:00:00Z. URL clients should percent-encode reserved characters such as ':' when constructing query strings manually.
Inclusive upper bound for the request created_at timestamp. Provide an RFC3339 date-time with an explicit timezone, for example 2026-05-31T23:59:59Z. URL clients should percent-encode reserved characters such as ':' when constructing query strings manually.
Field used to sort the result set. Only created_at is currently supported.
created_at Sort direction for created_at. Defaults to desc.
asc, desc